Skip to content
GitLab
Menu
Projects
Groups
Snippets
Loading...
Help
Help
Support
Community forum
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
Menu
Open sidebar
OpenDAS
vllm_cscc
Commits
1e4ce295
Unverified
Commit
1e4ce295
authored
Jan 07, 2025
by
Yuan
Committed by
GitHub
Jan 07, 2025
Browse files
[CI][CPU] adding build number to docker image name (#11788)
Signed-off-by:
Yuan Zhou
<
yuan.zhou@intel.com
>
parent
ce1917fc
Changes
1
Show whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
11 additions
and
11 deletions
+11
-11
.buildkite/run-cpu-test.sh
.buildkite/run-cpu-test.sh
+11
-11
No files found.
.buildkite/run-cpu-test.sh
View file @
1e4ce295
...
@@ -9,31 +9,31 @@ CORE_RANGE=${CORE_RANGE:-48-95}
...
@@ -9,31 +9,31 @@ CORE_RANGE=${CORE_RANGE:-48-95}
NUMA_NODE
=
${
NUMA_NODE
:-
1
}
NUMA_NODE
=
${
NUMA_NODE
:-
1
}
# Try building the docker image
# Try building the docker image
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
-t
cpu-test
-f
Dockerfile.cpu
.
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
-t
cpu-test
-
"
$BUILDKITE_BUILD_NUMBER
"
-f
Dockerfile.cpu
.
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
--build-arg
VLLM_CPU_DISABLE_AVX512
=
"true"
-t
cpu-test-avx2
-f
Dockerfile.cpu
.
numactl
-C
"
$CORE_RANGE
"
-N
"
$NUMA_NODE
"
docker build
--build-arg
VLLM_CPU_DISABLE_AVX512
=
"true"
-t
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-
avx2
-f
Dockerfile.cpu
.
# Setup cleanup
# Setup cleanup
remove_docker_container
()
{
docker
rm
-f
cpu-test-
"
$
NUMA_NODE
"
cpu-test
-avx2-
"
$NUMA_NODE
"
||
true
;
}
remove_docker_container
()
{
docker
rm
-f
cpu-test-
"
$
BUILDKITE_BUILD_NUMBER
"
-
"
$NUMA_NODE
"
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-avx2-
"
$NUMA_NODE
"
||
true
;
}
trap
remove_docker_container EXIT
trap
remove_docker_container EXIT
remove_docker_container
remove_docker_container
# Run the image, setting --shm-size=4g for tensor parallel.
# Run the image, setting --shm-size=4g for tensor parallel.
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
"
$CORE_RANGE
"
\
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
"
$CORE_RANGE
"
\
--cpuset-mems
=
"
$NUMA_NODE
"
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test-
"
$
NUMA_NODE
"
cpu-test
--cpuset-mems
=
"
$NUMA_NODE
"
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test-
"
$
BUILDKITE_BUILD_NUMBER
"
-
"
$NUMA_NODE
"
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
"
$CORE_RANGE
"
\
docker run
-itd
--entrypoint
/bin/bash
-v
~/.cache/huggingface:/root/.cache/huggingface
--cpuset-cpus
=
"
$CORE_RANGE
"
\
--cpuset-mems
=
"
$NUMA_NODE
"
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test-
avx2-
"
$NUMA_NODE
"
cpu-test
-avx2
--cpuset-mems
=
"
$NUMA_NODE
"
--privileged
=
true
--network
host
-e
HF_TOKEN
--env
VLLM_CPU_KVCACHE_SPACE
=
4
--shm-size
=
4g
--name
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-avx2-
"
$NUMA_NODE
"
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-avx2
function
cpu_tests
()
{
function
cpu_tests
()
{
set
-e
set
-e
export
NUMA_NODE
=
$2
export
NUMA_NODE
=
$2
# offline inference
# offline inference
docker
exec
cpu-test-avx2-
"
$NUMA_NODE
"
bash
-c
"
docker
exec
cpu-test-
"
$BUILDKITE_BUILD_NUMBER
"
-
avx2-
"
$NUMA_NODE
"
bash
-c
"
set -e
set -e
python3 examples/offline_inference.py"
python3 examples/offline_inference.py"
# Run basic model test
# Run basic model test
docker
exec
cpu-test-
"
$NUMA_NODE
"
bash
-c
"
docker
exec
cpu-test-
"
$
BUILDKITE_BUILD_NUMBER
"
-
"
$
NUMA_NODE
"
bash
-c
"
set -e
set -e
pip install pytest pytest-asyncio
\
pip install pytest pytest-asyncio
\
decord einops librosa peft Pillow sentence-transformers soundfile
\
decord einops librosa peft Pillow sentence-transformers soundfile
\
...
@@ -46,26 +46,26 @@ function cpu_tests() {
...
@@ -46,26 +46,26 @@ function cpu_tests() {
pytest -v -s tests/models/decoder_only/vision_language -m cpu_model"
pytest -v -s tests/models/decoder_only/vision_language -m cpu_model"
# Run compressed-tensor test
# Run compressed-tensor test
docker
exec
cpu-test-
"
$NUMA_NODE
"
bash
-c
"
docker
exec
cpu-test-
"
$
BUILDKITE_BUILD_NUMBER
"
-
"
$
NUMA_NODE
"
bash
-c
"
set -e
set -e
pytest -s -v
\
pytest -s -v
\
tests/quantization/test_compressed_tensors.py::test_compressed_tensors_w8a8_static_setup
\
tests/quantization/test_compressed_tensors.py::test_compressed_tensors_w8a8_static_setup
\
tests/quantization/test_compressed_tensors.py::test_compressed_tensors_w8a8_dynamic_per_token"
tests/quantization/test_compressed_tensors.py::test_compressed_tensors_w8a8_dynamic_per_token"
# Run AWQ test
# Run AWQ test
docker
exec
cpu-test-
"
$NUMA_NODE
"
bash
-c
"
docker
exec
cpu-test-
"
$
BUILDKITE_BUILD_NUMBER
"
-
"
$
NUMA_NODE
"
bash
-c
"
set -e
set -e
pytest -s -v
\
pytest -s -v
\
tests/quantization/test_ipex_quant.py"
tests/quantization/test_ipex_quant.py"
# Run chunked-prefill and prefix-cache test
# Run chunked-prefill and prefix-cache test
docker
exec
cpu-test-
"
$NUMA_NODE
"
bash
-c
"
docker
exec
cpu-test-
"
$
BUILDKITE_BUILD_NUMBER
"
-
"
$
NUMA_NODE
"
bash
-c
"
set -e
set -e
pytest -s -v -k cpu_model
\
pytest -s -v -k cpu_model
\
tests/basic_correctness/test_chunked_prefill.py"
tests/basic_correctness/test_chunked_prefill.py"
# online inference
# online inference
docker
exec
cpu-test-
"
$NUMA_NODE
"
bash
-c
"
docker
exec
cpu-test-
"
$
BUILDKITE_BUILD_NUMBER
"
-
"
$
NUMA_NODE
"
bash
-c
"
set -e
set -e
export VLLM_CPU_KVCACHE_SPACE=10
export VLLM_CPU_KVCACHE_SPACE=10
export VLLM_CPU_OMP_THREADS_BIND=
$1
export VLLM_CPU_OMP_THREADS_BIND=
$1
...
...
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
.
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment